SOAPMessageContext (Axis API)
Keywords: javax.xml.rpc.handler.soap.SOAPMessageContext interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler.soap
Interface SOAPMessageContext

All Superinterfaces:
  MessageContext

All Known Implementing Classes:
  MessageContext

public interface SOAPMessageContext
extends MessageContext

The interface `javax.xml.rpc.soap.SOAPMessageContext` provides access to the SOAP message for either RPC request or response. The `javax.xml.soap.SOAPMessage` specifies the standard Java API for the representation of a SOAP 1.1 message with attachments.

Version:
  1.0
See Also:
  `SOAPMessage`

Method Summary
`SOAPMessage` | `getMessage()` Gets the SOAPMessage from this message context.
`java.lang.String[]` | `getRoles()` Gets the SOAP actor roles associated with an execution of the HandlerChain and its contained Handler instances.
`void` | `setMessage(SOAPMessage message)` Sets the `SOAPMessage` for this message context.

Methods inherited from interface javax.xml.rpc.handler.MessageContext
`containsProperty, getProperty, getPropertyNames, removeProperty, setProperty`

Method Detail

### getMessage

    public SOAPMessage getMessage()

  Gets the SOAPMessage from this message context.

  Returns:
    the `SOAPMessage`; `null` if no request `SOAPMessage` is present in this `SOAPMessageContext`

### setMessage

    public void setMessage(SOAPMessage message)

  Sets the `SOAPMessage` for this message context.

  Parameters:
    `message` - SOAP message
  Throws:
    `JAXRPCException` - if any error during the setting of the SOAPMessage in this message context
    `java.lang.UnsupportedOperationException` - if this operation is not supported

### getRoles

    public java.lang.String[] getRoles()

  Gets the SOAP actor roles associated with an execution of the HandlerChain and its contained Handler instances. Note that SOAP actor roles apply to the SOAP node and are managed using `HandlerChain.setRoles` and `HandlerChain.getRoles`. Handler instances in the HandlerChain use this information about the SOAP actor roles to process the SOAP header blocks. Note that the SOAP actor roles are invariant during the processing of SOAP message through the HandlerChain.

  Returns:
    Array of URIs for SOAP actor roles
  See Also:
    `HandlerChain.setRoles(java.lang.String[])`, `HandlerChain.getRoles()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.